---
updatedAt: 2026-04-12T09:21:21.000Z
---

# Update a delivery's information

<a id="Update_Delivery" style="color:red; font-size:larger">PUT \<baseURL\>/deliveries/{deliveryId}/update</a>

This request updates the delivery information, such as the destination location address, or the customer's name.

Use this request after the customer has booked the delivery but needs to update or to change delivery information details.
These details include the customer’s name or phone number, delivery time slots, pickup or address location, or the order line items.

At least one parameter sent must be different than the existing one. 
In other words, if at least one of the parameters is different than its existing value, the request will succeed.
If there are no changes, the request will fail and the delivery information remains unchanged.

One or more parameters may be sent in the request.
With a successful request, all parameters sent will replace their existing values. 
For that reason, Walmart&nbsp;GoLocal recommends sending only the parameters to change to ovoid unintentional changes.

Although any parameter can be changed, many of them have limitations and restrictions that otherwise must still be followed. 
Any unallowed changes will fail the request. 
See the Book Delivery request for specific parameter information.

The following items cannot be changed after Walmart&nbsp;GoLocal assigns a delivery driver to the delivery:
* The pickup address
* The drop-off address
* The drop-off coordinates if they are of type CUSTOMER_PINDROP
* The customer's phone number

The following items cannot be changed after Walmart&nbsp;GoLocal dispatches the order from the pickup point:
* The delivery time slots details
* The order line items
* The scan details
* The customer's name
* Pickup instructions
* Property details (propertyType, locationPreference and/or gateCode)

#### Property Type and Location Preference Validation

For property type and location preference values, the following combinations are allowed:

| Enum of locationPreference | HOUSE | APARTMENT | BUSINESS | OTHER | null |
| ----------- | ----------- | ----------- | ----------- | ----------- | ----------- |
| FRONT_DOOR | Optional | Optional | Optional | Optional | Not Allowed |
| BACK_DOOR | Optional | Not Allowed | Not Allowed | Optional | Not Allowed |
| SIDE_PORCH | Optional | Not Allowed | Not Allowed | Optional | Not Allowed |
| BUILDING_RECEPTION | Not Allowed | Optional | Optional | Optional | Not Allowed |
| MAILROOM_OR_PROPERTY_STAFF | Not Allowed | Optional | Optional | Optional | Not Allowed |
| GARAGE_DOOR | Optional | Not Allowed | Not Allowed | Optional | Not Allowed |
| NO_PREFERENCE | Optional | Optional | Optional | Optional | Not Allowed |

### Example
This request changes the customer's first name to *Fiona* and with the `deliveryId` of `6c34ee66-dd03-42a0-8aa1-ddddeb03d28d`:

PUT `{baseURL}/deliveries/6c34ee66-dd03-42a0-8aa1-ddddeb03d28d/update`<br>
Request body:
```json
{
  "deliveries": {
    "clientId": "49304",
    "externalOrderId": "10208877499-208925547882099",
    "deliveryMethod": "SCHEDULED_DELIVERY",
    "orderPickupReadyTime": "2024-09-06T19:00:00.000Z",
    "requestedMinDeliverySlotTime": "2024-09-06T19:00:00.000Z",
    "requestedMaxDeliverySlotTime": "2024-09-06T21:00:00.000Z",
    "customer": {
      "firstName": "John",
      "lastName": "Doe",
      "email": "John.Doe@xyz.com",
      "phone": {
        "countryCode": "1",
        "number": "(650) 8375000"
      }
    },
    "addOnServices": {
      "returnable": true,
      "attendedDelivery": true,
      "proofOfDelivery": true,
      "capturePhotoProof": true,
      "isDropOffOTPRequired": false,
      "captureSignatureProof": false,
      "chainOfCustody": true
    },
    "pickupDetails": {
      "pickupPointId": "101979",
      "externalPickupPointId": "969"
    },
    "instructions": [
      {
        "instructionText": "Ring bell when arriving.",
        "instructionType": "CUSTOMER"
      }
    ],
    "deliveryDetails": {
      "address": {
        "line1": "853 W California Ave",
        "line2": "Apt 10",
        "city": "Sunnyvale",
        "state": "CA",
        "zipCode": "94086",
        "countryCode": "US"
      },
      "latLong": {
        "type": "CUSTOMER_PINDROP",
        "lat": 37.12345,
        "lng": -122.12345
      },
      "propertyDetails": {
        "gateCode": "C-1278",
        "propertyType": "BUSINESS",
        "locationPreference": "BUILDING_RECEPTION"
      }
    },
    "scanDetails": [
      {
        "scanDetail": [
          {
            "scanId": "W1321433777-1"
          }
        ],
        "scanType": "CODE128"
      }
    ],
    "orderManifest": {
      "summary": {
        "totalItems": 4,
        "orderSize": "S",
        "dimensions": [
          {
            "length": 25,
            "width": 5.25,
            "height": 4.25,
            "unitOfMeasure": "IN"
          }
        ],
        "totalValueOfItems": {
          "currencyAmount": 86.59,
          "currencyUnit": "USD"
        },
        "totalOrderWeight": {
          "measurementValue": 20,
          "unitOfMeasure": "OZ"
        },
        "specialHandlingAttributes": {
          "hasHazmatItems": false,
          "hasAlcoholItems": false,
          "hasFragileItems": false,
          "hasPharmacyItems": false
        }
      },
      "itemDetails": [
        {
          "itemId": "string",
          "itemDescription": "Milk Shake",
          "dimensions": {
            "length": 3.75,
            "width": 4.25,
            "height": 6,
            "unitOfMeasure": "IN"
          },
          "quantity": 4,
          "itemWeight": {
            "measurementValue": 5,
            "unitOfMeasure": "OZ"
          },
          "itemTotal": {
            "currencyAmount": 36.45,
            "currencyUnit": "USD"
          }
        }
      ]
    }
  }
  }
```
  
Response body:
```json
{
  "deliveries": {
    "deliveryId": "607ef162-17d7-4a32-92c0-5e0262d12345",
    "externalOrderId": "10208877499-208925547882099"
  }
}
```

### See Also
To book a delivery, see <span style="background-color: #eaeaea; padding: 3px;"><a href="#Book_Delivery">POST `/deliveries`</a>.</span><br>
To cancel a delivery, see <span style="background-color: #eaeaea; padding: 3px;"><a href="#Cancel_Delivery">PUT `/deliveries/{deliveryId}/cancel`</a>.</span>

# OpenAPI definition

````json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Walmart GoLocal API Reference Guide",
    "version": "1.0",
    "description": "**June 2025**<br>Built: 06/24/2025, 15:07:16"
  },
  "x-readme": {
    "samples-languages": [
      "shell"
    ],
    "proxy-enabled": false,
    "explorer-enabled": true
  },
  "servers": [
    {
      "url": "https://developer.api.us.walmart.com/api-proxy/service/supplychain/transportation/v1/daas",
      "description": "Production server"
    },
    {
      "url": "https://developer.api.us.stg.walmart.com/v1/daas-simulator",
      "description": "Sandbox server"
    },
    {
      "url": "https://developer.api.us.stg.walmart.com/api-proxy/service/supplychain/transportation/v1/daas-simulator",
      "description": "Simulator server"
    }
  ],
  "paths": {
    "/deliveries/{deliveryId}/update": {
      "put": {
        "tags": [
          "Walmart GoLocal Requests"
        ],
        "operationId": "walmart_golocal_put deliveries_{deliveryId}_update",
        "summary": "Update a delivery's information",
        "description": "<a id=\"Update_Delivery\" style=\"color:red; font-size:larger\">PUT \\<baseURL\\>/deliveries/{deliveryId}/update</a>\n\nThis request updates the delivery information, such as the destination location address, or the customer's name.\n\nUse this request after the customer has booked the delivery but needs to update or to change delivery information details.\nThese details include the customer’s name or phone number, delivery time slots, pickup or address location, or the order line items.\n\nAt least one parameter sent must be different than the existing one. \nIn other words, if at least one of the parameters is different than its existing value, the request will succeed.\nIf there are no changes, the request will fail and the delivery information remains unchanged.\n\nOne or more parameters may be sent in the request.\nWith a successful request, all parameters sent will replace their existing values. \nFor that reason, Walmart&nbsp;GoLocal recommends sending only the parameters to change to ovoid unintentional changes.\n\nAlthough any parameter can be changed, many of them have limitations and restrictions that otherwise must still be followed. \nAny unallowed changes will fail the request. \nSee the Book Delivery request for specific parameter information.\n\nThe following items cannot be changed after Walmart&nbsp;GoLocal assigns a delivery driver to the delivery:\n* The pickup address\n* The drop-off address\n* The drop-off coordinates if they are of type CUSTOMER_PINDROP\n* The customer's phone number\n\nThe following items cannot be changed after Walmart&nbsp;GoLocal dispatches the order from the pickup point:\n* The delivery time slots details\n* The order line items\n* The scan details\n* The customer's name\n* Pickup instructions\n* Property details (propertyType, locationPreference and/or gateCode)\n\n#### Property Type and Location Preference Validation\n\nFor property type and location preference values, the following combinations are allowed:\n\n| Enum of locationPreference | HOUSE | APARTMENT | BUSINESS | OTHER | null |\n| ----------- | ----------- | ----------- | ----------- | ----------- | ----------- |\n| FRONT_DOOR | Optional | Optional | Optional | Optional | Not Allowed |\n| BACK_DOOR | Optional | Not Allowed | Not Allowed | Optional | Not Allowed |\n| SIDE_PORCH | Optional | Not Allowed | Not Allowed | Optional | Not Allowed |\n| BUILDING_RECEPTION | Not Allowed | Optional | Optional | Optional | Not Allowed |\n| MAILROOM_OR_PROPERTY_STAFF | Not Allowed | Optional | Optional | Optional | Not Allowed |\n| GARAGE_DOOR | Optional | Not Allowed | Not Allowed | Optional | Not Allowed |\n| NO_PREFERENCE | Optional | Optional | Optional | Optional | Not Allowed |\n\n### Example\nThis request changes the customer's first name to *Fiona* and with the `deliveryId` of `6c34ee66-dd03-42a0-8aa1-ddddeb03d28d`:\n\nPUT `{baseURL}/deliveries/6c34ee66-dd03-42a0-8aa1-ddddeb03d28d/update`<br>\nRequest body:\n```json\n{\n  \"deliveries\": {\n    \"clientId\": \"49304\",\n    \"externalOrderId\": \"10208877499-208925547882099\",\n    \"deliveryMethod\": \"SCHEDULED_DELIVERY\",\n    \"orderPickupReadyTime\": \"2024-09-06T19:00:00.000Z\",\n    \"requestedMinDeliverySlotTime\": \"2024-09-06T19:00:00.000Z\",\n    \"requestedMaxDeliverySlotTime\": \"2024-09-06T21:00:00.000Z\",\n    \"customer\": {\n      \"firstName\": \"John\",\n      \"lastName\": \"Doe\",\n      \"email\": \"John.Doe@xyz.com\",\n      \"phone\": {\n        \"countryCode\": \"1\",\n        \"number\": \"(650) 8375000\"\n      }\n    },\n    \"addOnServices\": {\n      \"returnable\": true,\n      \"attendedDelivery\": true,\n      \"proofOfDelivery\": true,\n      \"capturePhotoProof\": true,\n      \"isDropOffOTPRequired\": false,\n      \"captureSignatureProof\": false,\n      \"chainOfCustody\": true\n    },\n    \"pickupDetails\": {\n      \"pickupPointId\": \"101979\",\n      \"externalPickupPointId\": \"969\"\n    },\n    \"instructions\": [\n      {\n        \"instructionText\": \"Ring bell when arriving.\",\n        \"instructionType\": \"CUSTOMER\"\n      }\n    ],\n    \"deliveryDetails\": {\n      \"address\": {\n        \"line1\": \"853 W California Ave\",\n        \"line2\": \"Apt 10\",\n        \"city\": \"Sunnyvale\",\n        \"state\": \"CA\",\n        \"zipCode\": \"94086\",\n        \"countryCode\": \"US\"\n      },\n      \"latLong\": {\n        \"type\": \"CUSTOMER_PINDROP\",\n        \"lat\": 37.12345,\n        \"lng\": -122.12345\n      },\n      \"propertyDetails\": {\n        \"gateCode\": \"C-1278\",\n        \"propertyType\": \"BUSINESS\",\n        \"locationPreference\": \"BUILDING_RECEPTION\"\n      }\n    },\n    \"scanDetails\": [\n      {\n        \"scanDetail\": [\n          {\n            \"scanId\": \"W1321433777-1\"\n          }\n        ],\n        \"scanType\": \"CODE128\"\n      }\n    ],\n    \"orderManifest\": {\n      \"summary\": {\n        \"totalItems\": 4,\n        \"orderSize\": \"S\",\n        \"dimensions\": [\n          {\n            \"length\": 25,\n            \"width\": 5.25,\n            \"height\": 4.25,\n            \"unitOfMeasure\": \"IN\"\n          }\n        ],\n        \"totalValueOfItems\": {\n          \"currencyAmount\": 86.59,\n          \"currencyUnit\": \"USD\"\n        },\n        \"totalOrderWeight\": {\n          \"measurementValue\": 20,\n          \"unitOfMeasure\": \"OZ\"\n        },\n        \"specialHandlingAttributes\": {\n          \"hasHazmatItems\": false,\n          \"hasAlcoholItems\": false,\n          \"hasFragileItems\": false,\n          \"hasPharmacyItems\": false\n        }\n      },\n      \"itemDetails\": [\n        {\n          \"itemId\": \"string\",\n          \"itemDescription\": \"Milk Shake\",\n          \"dimensions\": {\n            \"length\": 3.75,\n            \"width\": 4.25,\n            \"height\": 6,\n            \"unitOfMeasure\": \"IN\"\n          },\n          \"quantity\": 4,\n          \"itemWeight\": {\n            \"measurementValue\": 5,\n            \"unitOfMeasure\": \"OZ\"\n          },\n          \"itemTotal\": {\n            \"currencyAmount\": 36.45,\n            \"currencyUnit\": \"USD\"\n          }\n        }\n      ]\n    }\n  }\n  }\n```\n  \nResponse body:\n```json\n{\n  \"deliveries\": {\n    \"deliveryId\": \"607ef162-17d7-4a32-92c0-5e0262d12345\",\n    \"externalOrderId\": \"10208877499-208925547882099\"\n  }\n}\n```\n\n### See Also\nTo book a delivery, see <span style=\"background-color: #eaeaea; padding: 3px;\"><a href=\"#Book_Delivery\">POST `/deliveries`</a>.</span><br>\nTo cancel a delivery, see <span style=\"background-color: #eaeaea; padding: 3px;\"><a href=\"#Cancel_Delivery\">PUT `/deliveries/{deliveryId}/cancel`</a>.</span>\n",
        "parameters": [
          {
            "in": "header",
            "name": "Content-Type",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "<br>Specifies the literal `application/json`.\n",
            "example": "application/json"
          },
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "<br>Specifies the literal value for `Bearer <authenticationToken>`.\n\nThe authenticationToken is an access token representing a user’s valid authorization and authentication permissions.\nSee <a href=\"#Authentication\">**Authentication**</a> for additional information.\n",
            "example": "Bearer eyJraWQiOiI1N…yLTQ4MjctOGUz"
          },
          {
            "in": "header",
            "name": "WM_CONSUMER.ID",
            "required": true,
            "schema": {
              "type": "string",
              "format": "uuid",
              "minLength": 36,
              "maxLength": 36
            },
            "description": "<br>Specifies the value for `<consumer_id>`.\n\nThis is the Client Consumer Id for the OAuth2 client credentials.\nSee the Walmart Client Center's Walmart administrator, client administrator, or development management for this value.\n",
            "example": "43da1010-3b1e-11ee-be56-0242ac120002"
          },
          {
            "in": "header",
            "name": "WM_QOS.CORRELATION_ID",
            "required": false,
            "schema": {
              "type": "string"
            },
            "description": "<br>Specifies the request log identifier.\n\nThis optional header can be any value.\nWalmart&nbsp;GoLocal uses this value to log requests and error situations.\n",
            "example": "685f74bf-b8ca-447d-8338-966dd751445f"
          },
          {
            "in": "path",
            "name": "deliveryId",
            "required": true,
            "schema": {
              "type": "string",
              "format": "uuid",
              "minLength": 36,
              "maxLength": 36
            },
            "description": "<br>Specifies the deliver identifier.\n\nThe `deliveryId` is generated by Walmart&nbsp;GoLocal at the time the delivery order is created. \nIt is associated with an order, either by `OrderId` or `externalOrderId`.\n",
            "example": "43da1010-3b1e-11ee-be56-0242ac112345"
          }
        ],
        "requestBody": {
          "description": "Specifies information to be updated for the delivery.",
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "deliveries"
                ],
                "properties": {
                  "deliveries": {
                    "type": "object",
                    "description": "Specifies an object for the delivery information to update.\n",
                    "required": [
                      "clientId",
                      "externalOrderId"
                    ],
                    "properties": {
                      "clientId": {
                        "type": "string",
                        "description": "Describes the client identifier associated with the client. \n\nExample: 2\n",
                        "example": "49304"
                      },
                      "externalOrderId": {
                        "type": "string",
                        "description": "Describes the external order ID.\n\nThe externalOrderId is a value specified by the client at the time the order is placed. \nThis allows the client to customize the order number, such as to be consistent with their own numbering system, or to be easier to read. \nThe `externalOrderId` is different than the `deliveryId`, which is a value assigned by Walmart&nbsp;GoLocal at the \ntime the order is placed.\nRegardless, the `externalOrderId` and `deliveryId` refer to the same delivery order.\n\nExamples:<br>\n465-RMN-TU<br>\nAPAL:1541:0154120240819032474<br>\n10208877499-208925547882099\n",
                        "example": "10208877499-208925547882099"
                      },
                      "deliveryMethod": {
                        "type": "string",
                        "description": "Specifies the delivery options.\n\nValid values are:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| SAME_DAY_DELIVERY  | The delivery is scheduled for a specified day and is expected to occur at any time during that day. |\n| SCHEDULED_DELIVERY | The delivery is scheduled for a specified day and time range, and is expected to occur within that time range. |y. |\n\nExample: SCHEDULED_DELIVERY\n",
                        "example": "SCHEDULED_DELIVERY"
                      },
                      "orderPickupReadyTime": {
                        "type": "string",
                        "format": "date-time",
                        "description": "Specifies the timestamp (in ISO 8601 format) when the order will be ready at the pickup point.\n\n<span style=\"background-color: #e6e6e6; padding: 3px;\">This value is required if `deliveryMethod` is `SAME_DAY_DELIVERY`.</span>\n\nThis timestamp must be:<br>\n* A valid time between the current time and the next seven days inclusively. \n* A minimum of 1.25 hours before the pickup point closing time.\n\nExample:<br>\n2024-09-06T19:00:00.000Z\n",
                        "example": "2024-09-06T19:00:00.000Z"
                      },
                      "requestedMinDeliverySlotTime": {
                        "type": "string",
                        "format": "date-time",
                        "description": "Specifies the minimum time (also called the start time, in ISO 8601 format) of the delivery slot requested by the client.\n\nThis parameter is only applicable when `deliveryMethod` is `SCHEDULED_DELIVERY`.\n\nThe delivery slot is a time range that the delivery is requested to occur in.\nThe minimum time (also called the start time) is the earliest the delivery can occur. \nThe maximum time (also called the end time) is the latest the delivery can occur.\n\nExamples:<br>\n2024-09-06T19:00:00.000Z<br>\n2023-10-22T19:00:00.000+0530\n",
                        "example": "2024-09-06T19:00:00.000Z"
                      },
                      "requestedMaxDeliverySlotTime": {
                        "type": "string",
                        "format": "date-time",
                        "description": "Specifies the maximum time (also called the end time, in ISO 8601 format) of the delivery slot requested by the client.\n\nThis parameter is only applicable when `deliveryMethod` is `SCHEDULED_DELIVERY`.\n\nThe delivery slot is a time range that the delivery is requested to occur in. \nThe minimum time (also called the start time) is the earliest the delivery can occur. \nThe maximum time (also called the end time) is the latest the delivery can occur.\n\nExamples:<br>\n2024-09-06T21:00:00.000Z<br>\n2023-12-09T19:02:00.000+0530\n",
                        "example": "2024-09-06T21:00:00.000Z"
                      },
                      "customer": {
                        "type": "object",
                        "description": "Specifies an object for the customer information.\n",
                        "properties": {
                          "firstName": {
                            "type": "string",
                            "description": "Specifies the first name of the customer who placed the delivery request.\n\nExample: John\n",
                            "example": "John"
                          },
                          "lastName": {
                            "type": "string",
                            "description": "Specifies the last name of the customer who placed the delivery request.\n\nExample: Doe\n",
                            "example": "Doe"
                          },
                          "email": {
                            "type": "string",
                            "description": "Specifies the email address of the customer who placed the delivery request.\n\nExample: Jordan.SmithWMT@gmail.com\n",
                            "example": "John.Doe@xyz.com"
                          },
                          "phone": {
                            "type": "object",
                            "description": "Specifies an object for the customer's phone information.\n",
                            "properties": {
                              "countryCode": {
                                "type": "string",
                                "description": "Specifies the country calling code prefix for the phone number of the customer who placed the delivery request.\n\nValid values include, but are not limited to:\n\n| Code | Country |\n| ----------- | ----------- |\n| 1 | Canada |\n| 1 | United States |\n| 44 | Great Britain/United Kingdom |\n| 52 | Mexico |\n\nExample: 1\n",
                                "example": "1"
                              },
                              "number": {
                                "type": "string",
                                "description": "Specifies the phone number of the customer who placed the delivery request.\n\nExamples:<br>\n6508375000<br>\n650 8375000<br>\n(650) 8375000<br>\n(650) 837-5000\n",
                                "example": "(650) 8375000"
                              }
                            }
                          }
                        }
                      },
                      "addOnServices": {
                        "type": "object",
                        "description": "Specifies an object for add on services.\n",
                        "properties": {
                          "returnable": {
                            "type": "boolean",
                            "default": false,
                            "description": "<br>Specifies to return the order to the pickup location if the delivery driver was unable to deliver the order.\n\nA return relates to an incomplete delivery that's been initiated by a delivery driver. \nOnly the driver can initiate a return. \nThis feature does not correlate to customers who want to send back items.\nFor example, a delivery driver may initiate a return if they could not find the customer's address or if they had an emergency that kept them from completing the delivery.   \n\nIf `true`, the order is to be returned to the pickup location.\n\nIf `false`, the order is not to be returned to the pickup location.\n\nExample: true\n",
                            "example": true
                          },
                          "attendedDelivery": {
                            "type": "boolean",
                            "default": false,
                            "description": "<br>Specifies the customer must be present at the drop-off location during delivery.\n\nAdditional instructions may be included for the delivery driver in the parameter `instructions`.\n\nIf `true`, the customer must be present at the drop-off location during delivery.\n\nIf `false`, the customer does not have to be present at the drop-off location during delivery.\n\nExample: true\n",
                            "example": true
                          },
                          "proofOfDelivery": {
                            "type": "boolean",
                            "default": false,
                            "description": "<br>Specifies the delivery driver to have proof of having delivered the items at the drop-off location.\n\nProof may include the customer`s signature or image.\n\nIf `true`, it is mandatory for the delivery driver to have proof of having delivered the items at the drop-off location.\n\nIf `false`, it is not mandatory for the delivery driver to have proof of having delivered the items at the drop-off location.\n\nExample: true\n",
                            "example": true
                          },
                          "capturePhotoProof": {
                            "type": "boolean",
                            "default": false,
                            "description": "Specifies that photo proof displays in the Spark&nbsp;Driver™ app during drop-off.\n\nPhoto proof directs the delivery driver to take a photo of the order upon successful delivery.\n\nIf `true`, photo proof displays in the Spark&nbsp;Driver™ app during drop-off.\n\nIf `false`, photo proof does not display in the Spark&nbsp;Driver™ app during drop-off.\n\nExample: true\n",
                            "example": true
                          },
                          "isDropOffOTPRequired": {
                            "type": "boolean",
                            "default": false,
                            "description": "Specifies a one-time passcode (OTP) is required at delivery drop-off.\n\nFor a one-time passcode to be available, the field `attendedDelivery` must also be `true`.\nIf either one of these two fields (`isDropOffOTPRequired` and `attendedDelivery`) is `false`, a one-time passcode will not be available.\n\nIf `true`, a one-time passcode (OTP) is required at delivery drop-off.\n\nIf `false`, a one-time passcode (OTP) is not required at delivery drop-off.\n\nExample: false\n",
                            "example": false
                          },
                          "captureSignatureProof": {
                            "type": "boolean",
                            "default": false,
                            "description": "<br>Specifies that signature proof displays in the Spark&nbsp;Driver™ app during drop-off.\n\nSignature proof directs the delivery driver to get the recipient's signature upon successful delivery.\n\nIf `true`, signature proof displays in the Spark&nbsp;Driver™ app during drop-off.\n\nIf `false`, signature proof does not display in the Spark&nbsp;Driver™ app during drop-off.\n\nExample: false\n",
                            "example": false
                          },
                          "chainOfCustody": {
                            "type": "boolean",
                            "default": false,
                            "description": "<br>Specifies that the chain of custody (order validation through barcode scanning) is enabled for the delivery.\n\nIf `true`, the chain of custody is enabled for the delivery.\nDelivery drivers will be prompted to scan package label barcodes during pickup and drop-off. \n\nIf `false`, the chain of custody is not enabled for the delivery.\n\nExample: true\n",
                            "example": true
                          }
                        }
                      },
                      "pickupDetails": {
                        "type": "object",
                        "description": "Specifies an object for the pick up details.\n",
                        "properties": {
                          "pickupPointId": {
                            "type": "string",
                            "description": "Specifies an eligible pickup point for a delivery destination.\n\nThe `pickupPointId` is the Walmart&nbsp;GoLocal-generated identifier for a specific pickup point or location. \nThe `externalpickupPointId` is the client-specified identifier for the same pickup point or location. \nThese values may be different but refer to the same pickup point or location.\n\nExample: 101979\n",
                            "example": "101979"
                          },
                          "externalPickupPointId": {
                            "type": "string",
                            "description": "Specifies an eligible pickup point for a delivery destination.\n\nThe `pickupPointId` is the Walmart&nbsp;GoLocal-generated identifier for a specific pickup point or location. \nThe `externalpickupPointId` is the client-specified identifier for the same pickup point or location. \nThese values may be different but refer to the same pickup point or location.\n\nExamples:<br>\n4969<br>\nStoreNo15\n",
                            "example": "969"
                          }
                        }
                      },
                      "instructions": {
                        "type": "array",
                        "description": "Specifies an optional array of objects for the delivery driver instructions.\n",
                        "required": [
                          "instructionText",
                          "instructionType"
                        ],
                        "items": {
                          "type": "object",
                          "properties": {
                            "instructionText": {
                              "type": "string",
                              "description": "Specifies delivery driver instructions.\n\nThe maximum length is 1000 characters.\n\nExample: Ring bell when arriving.\n",
                              "example": "Ring bell when arriving."
                            },
                            "instructionType": {
                              "type": "string",
                              "description": "Specifies the type and stage when the instruction is applicable.\n\nOnly DROPOFF or CUSTOMER value can be used, both values cannot be used at the same time.\n\nValid values are:\n\n| Value | Meaning | Notes |\n| ----------- | ----------- | ----------- |\n| CUSTOMER | The instructions apply at the time of delivery drop off. | This value is synonymous with the DROPOFF value. |\n| DROPOFF | The instructions apply at the time of delivery drop off. | This value will be deprecated in the future. |\n| PICKUP | The instructions apply at the time of delivery pickup. |\n\nExample: CUSTOMER\n",
                              "example": "CUSTOMER"
                            }
                          }
                        }
                      },
                      "deliveryDetails": {
                        "type": "object",
                        "format": "deliveries",
                        "description": "Specifies an object for the delivery details.\n",
                        "properties": {
                          "address": {
                            "type": "object",
                            "description": "Describes the delivery destination address object.",
                            "required": [
                              "line1",
                              "city",
                              "state",
                              "zipCode",
                              "countryCode"
                            ],
                            "properties": {
                              "line1": {
                                "type": "string",
                                "description": "Describes the address of the delivery location.\n\nExample: 860 W California Ave\n",
                                "example": "853 W California Ave"
                              },
                              "line2": {
                                "type": "string",
                                "description": "Describes additional information for the delivery location's address.\n\nExample: Apt 10\n",
                                "example": "Apt 10"
                              },
                              "city": {
                                "type": "string",
                                "description": "Describes the city that the delivery location is located.\n\nExample: Sunnyvale\n",
                                "example": "Sunnyvale"
                              },
                              "state": {
                                "type": "string",
                                "description": "Describes the state (in the two-letter state United States Postal Service [USPS] postal code format) that the delivery destination location is located.\n\nExample: CA\n",
                                "example": "CA"
                              },
                              "zipCode": {
                                "type": "string",
                                "description": "Describes the ZIP Code or postal code that the delivery destination location is located.\n\nExamples:<br>\n94086<br>\n94086+0001\n",
                                "example": "94086"
                              },
                              "countryCode": {
                                "type": "string",
                                "description": "Describes the country code (in the two-letter ISO 3166 format) for the delivery location.\n\nValid values include, but are not limited to:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| CA | Canada         |\n| GB | Great Britain  |\n| MX | Mexico         |\n| UK | United Kingdom |\n| US | United States  |\n\nExample: US\n",
                                "example": "US"
                              }
                            }
                          },
                          "latLong": {
                            "type": "object",
                            "description": "Specifies the object of the delivery destination geolocation.\n",
                            "required": [
                              "lat",
                              "lng"
                            ],
                            "properties": {
                              "type": {
                                "type": "string",
                                "description": "Specifies the source of the geolocation latitude and longitude.\n\n The CUSTOMER_PINDROP type should only be used if the customer has specified a set of drop-off coordinates.\n\n If a CUSTOMER_PINDROP type is specified, then Walmart's address optimization function will not be used. This means that the driver will be instructed to drive to the coordinates and any inaccuracies will not be detected.\n\n If the CUSTOMER_PINDROP latitude and longitude location is 800 meters or more away from the Walmart address optimization coordinates, the order will be rejected.\n\n If the value is not specified, CLIENT is assumed.\n \n Valid values:<br>\n\n | Value | Meaning |\n | ----------- | ----------- |\n | CUSTOMER_PINDROP | The customer provided the latitude and longitude. |\n | CLIENT | Client estimate of the customer's location. |\n",
                                "example": "CUSTOMER_PINDROP"
                              },
                              "lat": {
                                "type": "number",
                                "format": "float",
                                "minimum": -90,
                                "maximum": 90,
                                "description": "Describes the latitude for the delivery destination location.\n\nThis value must be between 90 and -90 inclusively.\n\nExample: 37.12345\n",
                                "example": 37.12345
                              },
                              "lng": {
                                "type": "number",
                                "format": "double",
                                "minimum": -180,
                                "maximum": 180,
                                "description": "Describes the longitude for the delivery destination location.\n\nThis value must be between 180 and -180 inclusively.\n\nExample: -122.12345\n",
                                "example": -122.12345
                              }
                            }
                          },
                          "propertyDetails": {
                            "type": "object",
                            "description": "Specifies helpful information about the delivery location. \n\nThis object is optional.\n",
                            "properties": {
                              "gateCode": {
                                "type": "string",
                                "description": "Specifies the gate code in the delivery location.\n\nThe `gateCode` value is limited to 25 characters.\n\nExample:<br>\nC-1278\n",
                                "example": "C-1278"
                              },
                              "propertyType": {
                                "type": "string",
                                "description": "Specifies the type of property the delivery is being sent to.\n\nValid values are:<br>\nHOUSE<br> \nAPARTMENT<br> \nBUSINESS<br>\nOTHER<br>\n\nExample:<br>\nBUSINESS\n",
                                "example": "BUSINESS"
                              },
                              "locationPreference": {
                                "type": "string",
                                "description": "Specifies the area where the customer would like the delivery dropped off.\n\nValid values are:<br>\nFRONT_DOOR<br>\nBACK_DOOR<br>\nSIDE_PORCH<br>\nBUILDING_RECEPTION<br>\nMAILROOM_OR_PROPERTY_STAFF<br>\nGARAGE_DOOR<br>\nNO_PREFERENCE<br> \n\nExample:<br>\nBUILDING_RECEPTION\n",
                                "example": "BUILDING_RECEPTION"
                              }
                            }
                          }
                        }
                      },
                      "scanDetails": {
                        "type": "array",
                        "description": "Indicates the barcode on the order label the driver needs to scan.\n\nThe array has only one member value in `scanDetails`.\n\nThe object `scanDetails` can be associated at either the item level or root level, but not at both.\n\nIn the update flow, the latest `UPDATE_REQUESTED` status will be sent to downstream systems.\n\n`scanDetails` is only applicable when the `chainOfCustody` flag is enabled.\n",
                        "items": {
                          "type": "object",
                          "properties": {
                            "scanDetail": {
                              "type": "array",
                              "description": "Indicates the barcodes on the order label the driver needs to scan.\n",
                              "items": {
                                "type": "object",
                                "properties": {
                                  "scanId": {
                                    "type": "string",
                                    "description": "Indicates the value of the barcode that will be scanned.\n\nExample: W1321433777-1\n",
                                    "example": "W1321433777-1"
                                  }
                                }
                              }
                            },
                            "scanType": {
                              "type": "string",
                              "description": "Indicates the type of scan.\n\nValid values are:<br>\nCODE128<br>\nCODE39<br>\nEAN13<br>\nEAN8<br>\nITF<br>\nQRCODE<br>\nUPCA<br>\nUPCE<br>\n\nExample: CODE128\n",
                              "example": "CODE128"
                            }
                          }
                        }
                      },
                      "accessDetails": {
                        "type": "array",
                        "description": "This is an optional array. \n\nSpecifies the order details. This can be a pickup, dropoff, or return of an order.\n\nOrders are stored in a store locker for pickup. When `Accessdetail` is enabled, the code to the locker is transmitted to the store via `accessText`. If `accessType`displays PICKUP in the output, yet `accessText` PICKUP doesn’t have a locker code in the output, then GoLocal defaults the `accessText` PICKUP to the pickup counter.\n",
                        "required": [
                          "accessType"
                        ],
                        "properties": {
                          "accessType": {
                            "type": "string",
                            "enum": [
                              "PICKUP",
                              "DROPOFF",
                              "RETURN"
                            ],
                            "description": "Specifies the delivery type. This can be picking up, dropping off, or returning an order to or from a store.\n\n| Access Type | Description |\n|-------------|-------------|\n| PICKUP      | Pick up the order from the store. |\n| DROPOFF     | Drop off the order at the delivery location. |\n| RETURN      | Return the order to the store. |\n\nExample: PICKUP\"\n",
                            "example": "PICKUP"
                          },
                          "accessText": {
                            "type": "string",
                            "description": "Specifies the access text for delivery.\n\nValid values:\n\n| Access Text | Description |\n|-------------|-------------|\n| PICKUP      | Locker code (example, Locker Code: 123456) or pickup counter. If there is no locker code, pickup is at the pickup counter. |\n| RETURN      | Service Desk |\n| DROPOFF     | The dropoff location |\n\nExample: Locker Code: 123456\n",
                            "example": "Locker Code: 123456"
                          }
                        }
                      },
                      "orderManifest": {
                        "type": "object",
                        "description": "Specifies an object of the order manifest.\n",
                        "properties": {
                          "summary": {
                            "type": "object",
                            "description": "Specifies an object for the summary of each item.\n",
                            "properties": {
                              "totalItems": {
                                "type": "integer",
                                "description": "Specifies the total number of items in the delivery request.\n\nOne item is considered one package of products or all of one type of products. \nFor example, eight oranges, a bunch of bananas, a six pack of Gatorade, and a bottle of laundry detergent is each considered one item.\nSo, this list contains four items.\n\nExample: 4\n",
                                "example": 4
                              },
                              "orderSize": {
                                "type": "string",
                                "description": "Specifies the order size for a delivery.\n\nFor additional details about sizes, see Walmart GoLocal Size Codes.\n\nThis field is required if order dimensions, item dimensions, item weight, or `totalOrderWeight` are not provided.\n\nValid values are:\n\n| Value | Meaning | Maximum Volume | Maximum Weight |\n| ----------- | ----------- | ----------- | ----------- |\n| S  | Small | 4 cu. ft. | 50 lbs. |\n| M  | Medium | 6 cu. ft. | 150 lbs. |\n| L  | Large | 8 cu. ft. | 300 lbs. |\n| XL | Extra large | 32 cu. ft. | 350 lbs. |\n| OVERSIZED | Oversized | 5,000 cu. ft. | 50,000 lbs. |\n\nExample: S\n",
                                "example": "S"
                              },
                              "dimensions": {
                                "type": "array",
                                "description": "Specifies an array of objects for an item's dimension.\n",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "length": {
                                      "type": "number",
                                      "description": "Specifies the value for length.\n\nMax: 84 in. / 7 ft.\n\nSupports a single element.\n\nThis field is required if `orderSize` is not provided. \nIf `orderSize` is also provided, `length` takes precedence.\n\nExample: 25\n",
                                      "example": 25
                                    },
                                    "width": {
                                      "type": "number",
                                      "description": "Specifies the value for width.\n\nMax: 84 in. / 7 ft.\n\nSupports a single element.\n\nThis field is required if `orderSize` is not provided. \nIf `orderSize` is also provided, `width` takes precedence.\n\nExample: 5.25\n",
                                      "example": 5.25
                                    },
                                    "height": {
                                      "type": "number",
                                      "description": "Specifies the value for height.\n\nMax: 84 in. / 7 ft.\n\nSupports a single element.\n\nThis field is required if `orderSize` is not provided. \nIf `orderSize` is also provided, `height` takes precedence.\n\nExample: 4.25\n",
                                      "example": 4.25
                                    },
                                    "unitOfMeasure": {
                                      "type": "string",
                                      "description": "Specifies the unit of measurement for dimensions.\n\nThis field is required it at least one of height, width, or length is provided.\n\nValid values are:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| CM | Centimeters |\n| FT | Feet |\n| IN | Inches |\n| M | Meters |\n| MM | Millimeters |\n| YD | Yards |\n\nExample: IN\n",
                                      "example": "IN"
                                    }
                                  }
                                }
                              },
                              "totalValueOfItems": {
                                "type": "object",
                                "description": "Specifies an object for the total value of items included in the order.\n",
                                "properties": {
                                  "currencyAmount": {
                                    "type": "number",
                                    "format": "float",
                                    "description": "Specifies the total price (in the currency units) value for all items being delivered.\n\nExample: 86.59\n",
                                    "example": 86.59
                                  },
                                  "currencyUnit": {
                                    "type": "string",
                                    "description": "Specifies the currency unit (in the three-letter ISO 4217 currency code) for price value of all the items in the order.\n\nValid values include, but are not limited to:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| CAD | Canadian dollar |\n| GBP | Great Britain/United Kingdom pound |\n| MXN | Mexican peso |\n| USD | United States dollar |\n\nExample: USD\n",
                                    "example": "USD"
                                  }
                                }
                              },
                              "totalOrderWeight": {
                                "type": "object",
                                "description": "Specifies an object for the total weight of the order.\n",
                                "properties": {
                                  "measurementValue": {
                                    "type": "number",
                                    "description": "Specifies the total weight of the order.\n\nThis field is required if `orderSize` is not provided.\nIf provided, `measurementValue` `takes precedence.\n\nExample: 20\n",
                                    "example": 20
                                  },
                                  "unitOfMeasure": {
                                    "type": "string",
                                    "description": "Specifies the unit of measurement for total order weight.\n\nThis field is required if `orderSize` is not provided.\nIf provided, `unitOfMeasure` `takes precedence.\n\nValid values are:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| G | Grams |\n| KG | Kilograms |\n| LB | Pounds |\n| OZ | Ounces |\n\nExample: OZ\n",
                                    "example": "OZ"
                                  }
                                }
                              },
                              "specialHandlingAttributes": {
                                "type": "object",
                                "description": "Specifies an object for the special handling attribute details.\n",
                                "properties": {
                                  "hasHazmatItems": {
                                    "type": "boolean",
                                    "default": false,
                                    "description": "<br>Specifies the delivery contains hazardous materials.\n\nIf `true`, the delivery contains hazardous materials.\n\nIf `false`, the delivery does not contain hazardous materials.\n\nExample: false\n",
                                    "example": false
                                  },
                                  "hasAlcoholItems": {
                                    "type": "boolean",
                                    "default": false,
                                    "description": "<br>Specifies the delivery contains alcoholic items.\n\nIf `true`, the delivery contains alcoholic items.\nA delivery that contains alcohol requires the delivery driver to be at least 21 years old.\n\nIf `false`, the delivery does not contain alcoholic items.\n\nExample: true\n",
                                    "example": false
                                  },
                                  "hasFragileItems": {
                                    "type": "boolean",
                                    "default": false,
                                    "description": "<br>Specifies the delivery contains fragile items.\n\nIf `true`, the delivery contains fragile items.\n\nIf `false`, the delivery does not contain fragile items.\n\nExample: false\n",
                                    "example": false
                                  },
                                  "hasPharmacyItems": {
                                    "type": "boolean",
                                    "default": false,
                                    "description": "<br>Specifies the delivery contains pharmacy items.\n\nIf `true`, the delivery contains pharmacy items.\n\nIf `false`, the delivery does not contain pharmacy items.\n\nExample: false\n",
                                    "example": false
                                  }
                                }
                              }
                            }
                          },
                          "itemDetails": {
                            "type": "array",
                            "description": "Specifies an array of objects of the order manifest.\n",
                            "items": {
                              "type": "object",
                              "properties": {
                                "itemId": {
                                  "type": "string",
                                  "description": "Specifies the identifier for an item.\n\nExample: 45387\n"
                                },
                                "itemDescription": {
                                  "type": "string",
                                  "description": "Specifies the description of an item.\n\nExample: Milk Shake\n"
                                },
                                "dimensions": {
                                  "type": "object",
                                  "description": "Specifies an object for the order's manifest dimensions.\n",
                                  "properties": {
                                    "length": {
                                      "type": "number",
                                      "description": "Specifies the value for length.\n\nMaximum length: 84 inches (7 feet).\n\nSupports a single element.\n\nExample: 3.75\n"
                                    },
                                    "width": {
                                      "type": "number",
                                      "description": "Specifies the value for width.\n\nMaximum width: 84 inches (7 feet).\n\nSupports a single element.\n\nExample: 4.25\n"
                                    },
                                    "height": {
                                      "type": "number",
                                      "description": "Specifies the value for height.\n\nMaximum height: 84 inches (7 feet).\n\nSupports a single element.\n\nExample: 6.0\n"
                                    },
                                    "unitOfMeasure": {
                                      "type": "string",
                                      "description": "Specifies the unit of measurement for dimensions.\n\nThis field is required if `orderSize` is not provided. \nIf `orderSize` is also provided, `unitOfMeasure` takes precedence.\n\nValid values are:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| CM | Centimeters |\n| FT | Feet |\n| IN | Inches |\n| M | Meters |\n| MM | Millimeters |\n| YD | Yards |\n\nExample: IN\n"
                                    }
                                  }
                                },
                                "quantity": {
                                  "type": "integer",
                                  "description": "Specifies the quantity of the items in the delivery.\n\nRequired if `itemDetails` is neither empty nor null.\n\nExample: 4\n"
                                },
                                "itemWeight": {
                                  "type": "object",
                                  "description": "Specifies an object for the order manifest's item weight.\n",
                                  "properties": {
                                    "measurementValue": {
                                      "type": "number",
                                      "description": "Specifies the weight value of the item.\n\nExample: 5\n"
                                    },
                                    "unitOfMeasure": {
                                      "type": "string",
                                      "description": "Specifies the unit of measurement for item weight.\n\nValid values are:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| G | Grams |\n| KG | Kilograms |\n| LB | Pounds |\n| OZ | Ounces |\n\nExample: OZ\n"
                                    }
                                  }
                                },
                                "itemTotal": {
                                  "type": "object",
                                  "description": "Specifies an object for the order manifest's item total.\n",
                                  "properties": {
                                    "currencyAmount": {
                                      "type": "number",
                                      "format": "float",
                                      "description": "Specifies the line total (in the currency units) value of the items.\n\nExample: 36.45\n"
                                    },
                                    "currencyUnit": {
                                      "type": "string",
                                      "description": "Specifies the currency unit (in the three-letter ISO 4217 currency code).\n\nValid values include, but are not limited to:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| CAD | Canadian dollar |\n| GBP | Great Britain/United Kingdom pound |\n| MXN | Mexican peso |\n| USD | United States dollar |\n\nExample: USD\n"
                                    }
                                  }
                                },
                                "scanDetails": {
                                  "type": "array",
                                  "description": "Indicates an array of objects for information of the scan details.\n\nThe object `scanDetails` can be associated at either the item level or root level, but not at both.\n\nIn the update flow, the latest `UPDATE_REQUESTED` status will be sent to downstream systems.\n\n`scanDetails` is only applicable when the `chainOfCustody` flag is enabled.\n",
                                  "items": {
                                    "type": "object",
                                    "properties": {
                                      "scanType": {
                                        "type": "string",
                                        "description": "Indicates the type of scan.\n\nValid values are:<br>\nCODE128<br>\nCODE39<br>\nEAN13<br>\nEAN8<br>\nITF<br>\nQRCODE<br>\nUPCA<br>\nUPCE\n\nExample: CODE128\n"
                                      },
                                      "scanDetail": {
                                        "type": "array",
                                        "description": "Indicates an array of objects for the scan details.\n",
                                        "items": {
                                          "type": "object",
                                          "properties": {
                                            "scanId": {
                                              "type": "string",
                                              "description": "Indicates the scan identifier.\n\nThe chain of custody will send the scanned identifier update status back to the client.\n\nExample: L-685337\n"
                                            }
                                          }
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            },
                            "example": [
                              {
                                "itemId": "string",
                                "itemDescription": "Milk Shake",
                                "dimensions": {
                                  "length": 3.75,
                                  "width": 4.25,
                                  "height": 6,
                                  "unitOfMeasure": "IN"
                                },
                                "quantity": 4,
                                "itemWeight": {
                                  "measurementValue": 5,
                                  "unitOfMeasure": "OZ"
                                },
                                "itemTotal": {
                                  "currencyAmount": 36.45,
                                  "currencyUnit": "USD"
                                }
                              }
                            ]
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "OK. The request was successful, and the server returned the requested data.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "deliveries": {
                      "type": "object",
                      "description": "Indicates an object for the updated delivery.\n",
                      "properties": {
                        "deliveryId": {
                          "type": "string",
                          "format": "uuid",
                          "minLength": 36,
                          "maxLength": 36,
                          "description": "Indicates the identifier for the delivery.\n\nThe `deliveryId` is generated by the Walmart&nbsp;GoLocal system at the time the delivery is booked.\n\nExample: 607ef162-17d7-4a32-92c0-5e0262d12345\n",
                          "example": "607ef162-17d7-4a32-92c0-5e0262d12345"
                        },
                        "externalOrderId": {
                          "type": "string",
                          "description": "Describes the external order ID.\n\nThe externalOrderId is a value specified by the client at the time the order is placed. \nThis allows the client to customize the order number, such as to be consistent with their own numbering system, or to be easier to read. \nThe `externalOrderId` is different than the `deliveryId`, which is a value assigned by Walmart&nbsp;GoLocal at the \ntime the order is placed.\nRegardless, the `externalOrderId` and `deliveryId` refer to the same delivery order.\n\nExamples:<br>\n465-RMN-TU<br>\nAPAL:1541:0154120240819032474<br>\n10208877499-208925547882099\n",
                          "example": "10208877499-208925547882099"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request. The request was malformed or invalid.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "errors": {
                      "type": "object",
                      "description": "The following is a list of error codes and accompanying descriptions.\nThe error code is indicated in the error message’s `code` field.\nSee <a href=\"#Error_Messages\">**Error Messages**</a> for additional information.\n\n| Error Code |Error Description |\n|  ----------- |----------- |\n|  400.500.100 |Missing `clientId`. |\n|  400.500.101 |Missing `pickupPointId`. |\n|  400.500.109 |Missing input field orderManifest.summary.orderSize. |\n|  400.500.113 |A valid combination of pickupPointId and clientId must be passed in this request. |\n|  400.500.121 |Payload is missing. Payload is mandatory for POST call. |\n|  400.500.122 |Delivery address `line1` is missing. |\n|  400.500.123 |Delivery address `city` is missing. |\n|  400.500.124 |Delivery address `zipCode` is missing. |\n|  400.500.125 |Delivery address `state` is missing. |\n|  400.500.126 |Delivery address `country` is missing. |\n|  400.500.127 |The `latLong` object is missing. |\n|  400.500.128 |The field `latitude` must be present if the field `latLong` is present. |\n|  400.500.129 |The field `longitude` must be present if the field `latLong` is present. |\n|  400.500.130 |The parameter `latitude` must be between -90 and 90 inclusively. |\n|  400.500.131 |The parameter `longitude` must be between -180 and 180 inclusively. |\n|  400.500.132 |Missing delivery details in request. |\n|  400.500.134 |Service was not able to correctly resolve given destination address. |\n|  400.500.153 |Input parameters in the request are invalid. Input parameters in the request are invalid. |\n|  400.500.156 |Combination of `pickupPointId`, `externalPickupPointId` and `clientId` is invalid. None of the `pickupPointId` or `externalPickupPointId` values are valid. |\n|  400.500.157 |Unavailable to get distance between requested `pickupPoint` and delivery address `latlng`. Correct the `pickupPoint` and delivery address `latlng`. |\n|  400.500.167 |Missing input field `pickupDetails.pickupPointId` or `pickupDetails.externalPickupPointId`. |\n|  400.500.168 |Missing input field `deliveryDetails.address` or `deliveryDetails.latlong`. |\n|  400.500.169 |Missing input field `deliveryDetails` or `pickupDetails`. |\n|  400.500.170 |Multiple deliveryDetails and multiple pickupDetails are not supported in single request. Either use multiple deliveryDetails or multiple pickupDetails. |\n|  400.500.171 |The request body `deliveryDetails.pickupDetails` cannot have more than 10 objects. |\n|  400.500.172 |The structure `deliveryDetails.latlong` is required with two or more deliveryDetails. |\n|  400.500.173 |The structure `deliveryDetails.address` is not supported for a request with more than one deliveryDetails. For two or more destinations, use list of `deliveryDetails.latLong`.  |\n|  400.500.174 |Input field deliveries.includeCapacityEstimate cannot be `true` with multiple deliveryDetails/pickupDetails details. deliveries.includeCapacityEstimate is not supported with multiple deliveryDetails/pickupDetails details. |\n|  400.500.185 |Client can only pass barcode at root level or item level. |\n|  400.500.186 |Invalid item quantity or no of scanId. |\n|  400.500.187 |Missing or invalid scanType in the request. |\n|  400.500.188 |Missing or invalid scanId in the request. |\n|  400.500.190 |Missing or invalid scanDetail in the request. |\n|  400.500.196 |Different scanDetails block with the same scanType is not supported. |\n|  400.500.210 |Unable to determine country code from customer address provided. Check that the address is accurate and try again. |\n|  400.500.216 |RequestedMinDeliverySlotTime and RequestedMaxDeliverySlotTime is invalid and should fall within pickup point special opening and closing hours. |\n|  400.500.217 |RequestedMaxDeliverySlotTime is invalid, it should be before pickup point special closing hours. |\n|  400.500.218 |RequestedMinDeliverySlotTime is invalid, it should be within the pickup point special opening hours. |\n|  400.500.219 |OrderPickupReadyTime is invalid. It must be within the store special hours. |                     \n|  400.1300.101 |Current delivery status does not allow reschedule action. |\n|  400.1300.102 |External OrderId provided is either empty or does not map to the required Delivery. |\n|  400.1300.103 |Invalid slot details provided in reschedule request. |\n|  400.1300.104 |Invalid delivery method provided in reschedule request. |\n|  400.1300.105 |Customer Phone number updates are not allowed for Delivery Status: {0}. |\n|  400.1300.106 |Pickup/Delivery Location updates are not allowed for Delivery Status: {0} |\n|  400.1300.107 |Order Line Items updates are not allowed for Delivery Status: {0}. |\n|  400.1300.108 |Invalid Update Request: Make sure at least one of the fields has been modified. |\n|  400.1300.109 |Customer Name/Email updates are not allowed for Delivery Status: {0}. |\n|  400.1300.110 |Scan details updates are not allowed for Delivery Status: {0}. |\n|  400.1400.1 |The delivery address is incorrect or incomplete. Correct the address and retry. |\n|  400.2400.1 |The parameter ‘hasColdChainItems’ is ‘false’ or omitted but ‘temperatureType’ is passed. |\n|  400.2400.2 |Cold Chain attributes cannot be updated. |\n"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error. The server encountered an error while processing the request.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "errors": {
                      "type": "object",
                      "description": "The following is a list of error codes and accompanying descriptions.\nThe error code is indicated in the error message’s `code` field.\nSee <a href=\"#Error_Messages\">**Error Messages**</a> for additional information.\n\n| Error Code | Error Description |\n| ----------- | ----------- |\n| 500.1000.1 | An unexpected error has occurred at service layer. |\n"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "x-tagGroups": [
    {
      "name": "Walmart GoLocal Overview",
      "tags": [
        "Overview",
        "Getting Started"
      ]
    },
    {
      "name": "Walmart GoLocal Reference",
      "tags": [
        "Walmart GoLocal Requests"
      ]
    },
    {
      "name": "Walmart GoLocal Webhooks",
      "tags": [
        "Webhook Requests"
      ]
    },
    {
      "name": "Walmart GoLocal Simulator Requests",
      "tags": [
        "Simulator Requests"
      ]
    }
  ]
}
````